S3FileSystem (Hadoop 0.20.2+737 API)
Date: 2010-10-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.fs.s3
Class S3FileSystem

    java.lang.Object
      org.apache.hadoop.conf.Configured
          org.apache.hadoop.fs.FileSystem
              org.apache.hadoop.fs.s3.S3FileSystem

All Implemented Interfaces:
  Closeable, Configurable

    public class S3FileSystem

extends FileSystem

A block-based `FileSystem` backed by Amazon S3.

See Also:
  `NativeS3FileSystem`

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.fs.FileSystem
`FileSystem.Statistics`

Field Summary

Fields inherited from class org.apache.hadoop.fs.FileSystem
`FS_DEFAULT_NAME_KEY, LOG, statistics`

Constructor Summary
`S3FileSystem()`
`S3FileSystem(FileSystemStore store)`

Method Summary
`FSDataOutputStream` | `append(Path f, int bufferSize, Progressable progress)` This optional operation is not yet supported.
`FSDataOutputStream` | `create(Path file, FsPermission permission, boolean overwrite, int bufferSize, short replication, long blockSize, Progressable progress)` Opens an FSDataOutputStream at the indicated Path with write-progress reporting.
`boolean` | `delete(Path path)` Deprecated.
`boolean` | `delete(Path path, boolean recursive)` Delete a file.
`long` | `getDefaultBlockSize()` Return the number of bytes that large input files should be optimally be split into to minimize i/o time.
`FileStatus` | `getFileStatus(Path f)` FileStatus for S3 file systems.
`String` | `getName()`
`URI` | `getUri()` Returns a URI whose scheme and authority identify this FileSystem.
`Path` | `getWorkingDirectory()` Get the current working directory for the given file system
`void` | `initialize(URI uri, Configuration conf)` Called after a new FileSystem instance is constructed.
`boolean` | `isFile(Path path)` True iff the named path is a regular file.
`FileStatus[]` | `listStatus(Path f)` List the statuses of the files/directories in the given path if the path is a directory.
`boolean` | `mkdirs(Path path, FsPermission permission)` Make the given file and all non-existent parents into directories.
`FSDataInputStream` | `open(Path path, int bufferSize)` Opens an FSDataInputStream at the indicated Path.
`boolean` | `rename(Path src, Path dst)` Renames Path src to Path dst.
`void` | `setWorkingDirectory(Path dir)` Set the current working directory for the given file system.

Methods inherited from class org.apache.hadoop.fs.FileSystem
`append, append, checkPath, clearStatistics, close, closeAll, closeAllForUGI, completeLocalOutput, copyFromLocalFile, copyFromLocalFile, copyFromLocalFile, copyFromLocalFile, copyToLocalFile, copyToLocalFile, create, create, create, create, create, create, create, create, create, create, createNewFile, deleteOnExit, exists, get, get, get, getAllStatistics, getBlockSize, getCanonicalServiceName, getContentSummary, getDefaultPort, getDefaultReplication, getDefaultUri, getDelegationToken, getFileBlockLocations, getFileChecksum, getHomeDirectory, getLength, getLocal, getNamed, getReplication, getStatistics, getStatistics, getStatus, getStatus, getUsed, globStatus, globStatus, isDirectory, listStatus, listStatus, listStatus, makeQualified, mkdirs, mkdirs, moveFromLocalFile, moveFromLocalFile, moveToLocalFile, newInstance, newInstance, newInstanceLocal, open, printStatistics, processDeleteOnExit, setDefaultUri, setDefaultUri, setOwner, setPermission, setReplication, setTimes, setVerifyChecksum, startLocalOutput`

Methods inherited from class org.apache.hadoop.conf.Configured
`getConf, setConf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### S3FileSystem

    public S3FileSystem()

### S3FileSystem

    public S3FileSystem(FileSystemStore store)

Method Detail

### getUri

    public URI getUri()

  Description copied from class: `FileSystem`
  Returns a URI whose scheme and authority identify this FileSystem.

  Specified by:
    `getUri` in class `FileSystem`

### initialize

    public void initialize(URI uri,
                           Configuration conf)
                    throws IOException

  Description copied from class: `FileSystem`
  Called after a new FileSystem instance is constructed.

  Overrides:
    `initialize` in class `FileSystem`
  Parameters:
    `uri` - a uri whose authority section names the host, port, etc. for this FileSystem
    `conf` - the configuration
  Throws:
    `IOException`

### getName

    public String getName()

  Overrides:
    `getName` in class `FileSystem`

### getWorkingDirectory

    public Path getWorkingDirectory()

  Description copied from class: `FileSystem`
  Get the current working directory for the given file system

  Specified by:
    `getWorkingDirectory` in class `FileSystem`
  Returns:
    the directory pathname

### setWorkingDirectory

    public void setWorkingDirectory(Path dir)

  Description copied from class: `FileSystem`
  Set the current working directory for the given file system. All relative paths will be resolved relative to it.

  Specified by:
    `setWorkingDirectory` in class `FileSystem`

### mkdirs

    public boolean mkdirs(Path path,
                          FsPermission permission)
                   throws IOException

  Description copied from class: `FileSystem`
  Make the given file and all non-existent parents into directories. Has the semantics of Unix 'mkdir -p'. Existence of the directory hierarchy is not an error.

  Specified by:
    `mkdirs` in class `FileSystem`
  Parameters:
    `permission` - Currently ignored.
  Throws:
    `IOException`

### isFile

    public boolean isFile(Path path)
                   throws IOException

  Description copied from class: `FileSystem`
  True iff the named path is a regular file.

  Overrides:
    `isFile` in class `FileSystem`
  Throws:
    `IOException`

### listStatus

    public FileStatus[] listStatus(Path f)
                            throws IOException

  Description copied from class: `FileSystem`
  List the statuses of the files/directories in the given path if the path is a directory.

  Specified by:
    `listStatus` in class `FileSystem`
  Parameters:
    `f` - given path
  Returns:
    the statuses of the files/directories in the given patch
  Throws:
    `IOException`

### append

    public FSDataOutputStream append(Path f,
                                     int bufferSize,
                                     Progressable progress)
                              throws IOException

  This optional operation is not yet supported.

  Specified by:
    `append` in class `FileSystem`
  Parameters:
    `f` - the existing file to be appended.
    `bufferSize` - the size of the buffer to be used.
    `progress` - for reporting progress if it is not null.
  Throws:
    `IOException`

### create

    public FSDataOutputStream create(Path file,
                                     FsPermission permission,
                                     boolean overwrite,
                                     int bufferSize,
                                     short replication,
                                     long blockSize,
                                     Progressable progress)
                              throws IOException

  Description copied from class: `FileSystem`
  Opens an FSDataOutputStream at the indicated Path with write-progress reporting.

  Specified by:
    `create` in class `FileSystem`
  Parameters:
    `permission` - Currently ignored.
    `file` - the file name to open
    `overwrite` - if a file with this name already exists, then if true, the file will be overwritten, and if false an error will be thrown.
    `bufferSize` - the size of the buffer to be used.
    `replication` - required block replication for the file.
  Throws:
    `IOException`
  See Also:
    `FileSystem.setPermission(Path, FsPermission)`

### open

    public FSDataInputStream open(Path path,
                                  int bufferSize)
                           throws IOException

  Description copied from class: `FileSystem`
  Opens an FSDataInputStream at the indicated Path.

  Specified by:
    `open` in class `FileSystem`
  Parameters:
    `path` - the file name to open
    `bufferSize` - the size of the buffer to be used.
  Throws:
    `IOException`

### rename

    public boolean rename(Path src,
                          Path dst)
                   throws IOException

  Description copied from class: `FileSystem`
  Renames Path src to Path dst. Can take place on local fs or remote DFS.

  Specified by:
    `rename` in class `FileSystem`
  Throws:
    `IOException`

### delete

    public boolean delete(Path path,
                          boolean recursive)
                   throws IOException

  Description copied from class: `FileSystem`
  Delete a file.

  Specified by:
    `delete` in class `FileSystem`
  Parameters:
    `path` - the path to delete.
    `recursive` - if path is a directory and set to true, the directory is deleted else throws an exception. In case of a file the recursive can be set to either true or false.
  Returns:
    true if delete is successful else false.
  Throws:
    `IOException`

### delete

    @Deprecated
    public boolean delete(Path path)
                   throws IOException

  Deprecated.

  Specified by:
    `delete` in class `FileSystem`
  Throws:
    `IOException`

### getFileStatus

    public FileStatus getFileStatus(Path f)
                             throws IOException

  FileStatus for S3 file systems.

  Specified by:
    `getFileStatus` in class `FileSystem`
  Parameters:
    `f` - The path we want information from
  Returns:
    a FileStatus object
  Throws:
    `FileNotFoundException` - when the path does not exist; IOException see specific implementation
    `IOException`

### getDefaultBlockSize

    public long getDefaultBlockSize()

  Description copied from class: `FileSystem`
  Return the number of bytes that large input files should be optimally be split into to minimize i/o time.

  Overrides:
    `getDefaultBlockSize` in class `FileSystem`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation